# Create a new audiobook project

- **Method:** `POST`
- **Path:** `/api/v1/audiobook/projects`
- **Operation ID:** `audiobook_create_project_api_v1_audiobook_projects_post`
- **Tags:** Audiobook

## Effective servers

- `http://127.0.0.1:8100`

  Voice Creator Pro on this computer

## Request body

**Required:** `true`

**Content type:** `application/json`

schema: `AudiobookCreateRequest`

- **`file_base64` (required)**: `string`

  Base64-encoded document file
- **`filename` (required)**: `string`

  Original filename for format detection
- **`name` (required)**: `string`

  Project name
- **`detect_emotions`**: `boolean`, default: `false`

  Turn on per-line emotion detection for the created project
- **`project_model_family`**: `string | null`

  Optional TTS model family to set on the created project
- **`speaker_assignments`**: `object | null`

  Optional {speaker\_label: voice\_spec} for script import

**Example:**

```json
{
  "name": "",
  "file_base64": "",
  "filename": "",
  "speaker_assignments": {
    "additionalProperty": "anything"
  },
  "project_model_family": "",
  "detect_emotions": false
}
```

## Responses

### 200 Successful Response

**Content type:** `application/json`

`any`

**Example:**

```json
null
```

### 422 Validation Error

**Content type:** `application/json`

schema: `HTTPValidationError`

- **`detail`**: `array`

  **Items:**

  schema: `ValidationError`
  - **`loc` (required)**: `array of (string | integer)`
  - **`msg` (required)**: `string`
  - **`type` (required)**: `string`
  - **`ctx`**: `object`
  - **`input`**: `any`

**Example:**

```json
{
  "detail": [
    {
      "loc": [
        ""
      ],
      "msg": "",
      "type": "",
      "input": null,
      "ctx": {}
    }
  ]
}
```

## Schemas

- `AudiobookCreateRequest` — shown above.
- `HTTPValidationError` — shown above.
- `ValidationError` — shown above.
